<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Community Matrix Transformation</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for disttransform {BiodiversityR}"><tr><td>disttransform {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Community Matrix Transformation</h2>


<h3>Description</h3>

<p>
Transforms a community matrix. Some transformation methods are described by distances for the original community matrix that result in the same distance matrix as calculated with the euclidean distance from the transformed community matrix.
In many cases (methods of hellinger, profiles, chi.square and pa), the method makes use of function <code><a href="../../vegan/html/decostand.html">decostand</a></code> (<STRONG>vegan</STRONG>).
</p>


<h3>Usage</h3>

<pre>
disttransform(x,method="hellinger")
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Community data frame with sites as rows, species as columns and species abundance as cell values. </td></tr>
<tr valign="top"><td><code>method</code></td>
<td>
Distance measure for the original community matrix that the euclidean distance will calculate for the transformed community matrix: partial match to "hellinger", "chord", "profiles", "chi.square", "log", "square" or "pa". </td></tr>
</table>

<h3>Details</h3>

<p>
This functions transforms a community matrix.
</p>
<p>
Some transformation methods ("hellinger", "chord", "profiles" and "chi.square") have the behaviour that the euclidean distance from the transformed matrix will equal a distance of choice for the original matrix. For example, using method "hellinger" and calculating the euclidean distance will result in the same distance matrix as by calculating the Hellinger distance from the original community matrix.
</p>


<h3>Value</h3>

<p>
The function returns a transformed community matrix.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Legendre, P. &amp; Gallagher, E.D. (2001). Ecologically meaningful transformations 
for ordination of species data. Oecologia 129: 271-280.
</p>
<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune)
Community.1 &lt;- disttransform(dune, method='hellinger')
Distmatrix.1 &lt;- vegdist(Community.1,method='euclidean')
Distmatrix.1
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
